# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_Geometry Class Reference

`#include <PDataStd_Geometry.hxx>`

Inheritance diagram for PDataStd_Geometry:

[legend]

## Public Member Functions

Standard_EXPORT | PDataStd_Geometry ()
Standard_EXPORT | PDataStd_Geometry (const Standard_Integer Type)
Standard_EXPORT Standard_Integer | GetType () const
Standard_EXPORT void | SetType (const Standard_Integer Type)
| PDataStd_Geometry (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPDataStd_GeometrymyType () const
void | _CSFDB_SetPDataStd_GeometrymyType (const Standard_Integer p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myType

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_Geometry::PDataStd_Geometry | ( |  | ) |

Standard_EXPORT PDataStd_Geometry::PDataStd_Geometry | ( | const Standard_Integer | Type | ) |

PDataStd_Geometry::PDataStd_Geometry | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Integer PDataStd_Geometry::_CSFDB_GetPDataStd_GeometrymyType | ( |  | ) | const`[inline]`

void PDataStd_Geometry::_CSFDB_SetPDataStd_GeometrymyType | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Integer PDataStd_Geometry::GetType | ( |  | ) | const

Standard_EXPORT const PDataStd_Geometry::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

Standard_EXPORT void PDataStd_Geometry::SetType | ( | const Standard_Integer | Type | ) |

## Field Documentation

Standard_Integer PDataStd_Geometry::myType `[private]`

The documentation for this class was generated from the following file:

- PDataStd_Geometry.hxx